Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumReader< T >.RecordAccess Interface Reference

Defines the interface for a class that provides access to a record implementation. More...

## Public Member Functions
object | CreateRecord (object reuse)
| Creates a new record object. Derived classes can override this to return an object of their choice. More...
object | GetField (object record, string fieldName, int fieldPos)
| Used by the default implementation of ReadRecord() to get the existing field of a record object. The derived classes can override this to make their own interpretation of the record object. More...
void | AddField (object record, string fieldName, int fieldPos, object fieldValue)
| Used by the default implementation of ReadRecord() to add a field to a record object. The derived classes can override this to suit their own implementation of the record object. More...

## Detailed Description

Defines the interface for a class that provides access to a record implementation.

## Member Function Documentation

## ◆ AddField()

void Avro.Generic.PreresolvingDatumReader< T >.RecordAccess.AddField | ( | object | record,
|  | string | fieldName,
|  | int | fieldPos,
|  | object | fieldValue
| ) |  |

Used by the default implementation of ReadRecord() to add a field to a record object. The derived classes can override this to suit their own implementation of the record object.

Parameters

  record | The record object to be probed into. This is guaranteed to be one that was returned by a previous call to CreateRecord.
  fieldName | The name of the field to probe.
  fieldPos | field number
  fieldValue | The value to be added for the field

## ◆ CreateRecord()

object Avro.Generic.PreresolvingDatumReader< T >.RecordAccess.CreateRecord | ( | object | reuse | ) |

Creates a new record object. Derived classes can override this to return an object of their choice.

Parameters

  reuse | If appropriate, will reuse this object instead of constructing a new one

Returns

## ◆ GetField()

object Avro.Generic.PreresolvingDatumReader< T >.RecordAccess.GetField | ( | object | record,
|  | string | fieldName,
|  | int | fieldPos
| ) |  |

Used by the default implementation of ReadRecord() to get the existing field of a record object. The derived classes can override this to make their own interpretation of the record object.

Parameters

  record | The record object to be probed into. This is guaranteed to be one that was returned by a previous call to CreateRecord.
  fieldName | The name of the field to probe.
  fieldPos | field number

Returns
  The value of the field, if found. Null otherwise.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumReader.cs